printprinter friendly
printprint

Requirements

The Albridge Wealth Reporting application can be accessed using a standard personal computer (Windows-based or Mac), an Internet connection and a current Web Browser. The system is optimized for the high security levels afforded by Internet Explorer, v.5 (or greater) and Netscape Communicator / Navigator, v.6.2 (or greater). You will also need to download Adobe Acrobat Reader to access the Printer Friendly reports, if you do not have it already.

Bear in mind that your Internet connection speed has a direct bearing on the overall performance level. A 56K modem will provide all of the functionality of Consolidated Brokerage Statements, but will be much slower than, say, a cable modem or DSL line. Also, peak Internet traffic hours can slow your access somewhat.

Using Internet Explorer
The Albridge Wealth Reporting application is optimized for the high security levels afforded by Microsoft's Internet Explorer, version 5.0 or greater. However, Explorer's default settings can occasionally cause problems viewing your statements. For example, if you attempt to log-in and you get just the Navigation Window and a blank screen with no content, you will need to go to the browser's "Tools" tab at the top menu bar, select "Internet Options," then click on the "Advanced" tab. Scroll down about half-way, and make certain that both of your HTTP1.1 settings are "unchecked."

Also, if for any reason the page does not load at all, you'll need to upgrade the encryption on your browser to 128-bit. This higher encryption threshold helps safeguard the security of your client data. Just click on the "Help" section of Internet Explorer's top menu bar, and there should be a provision for upgrading encryption levels. If this menu option is not present, just go here to obtain a more current version of the browser.

Using Netscape Navigator/Communicator
The Albridge Wealth Reporting application is optimized for the high security levels afforded by Netscape's Navigator/Communicator Browser, version 6.2 or greater, which offers the 128-bit strong encryption necessary for secure Web-based transactions. If you're running an older version, you will need to download a current version of the browser.